## deepin-music 7.0.27

=== src/libdmusic/CMakeLists.txt ===
project(libdmusic)
#工程名称
set(CMD_NAME dmusic)
add_definitions(-DLIBDMUSIC_LIBRARY)

set(QT_MODULES Core Multimedia DBus Sql Core5Compat)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

file(GLOB_RECURSE QRC_SOURCE_FILES ./*.qrc)
set(QRC_FILES config.qrc)

#文件夹包含
include_directories(/usr/include/vlc)
include_directories(/usr/include/vlc/plugins)
include_directories(/runtime/include/vlc)
include_directories(/runtime/include/vlc/plugins)
include_directories(/runtime/include)
include_directories(.)
include_directories(./util)
include_directories(./core)
include_directories(./player)
include_directories(./player/vlc)

aux_source_directory(. ALL_SOURCES)
aux_source_directory(./util ALL_SOURCES)
aux_source_directory(./core ALL_SOURCES)
aux_source_directory(./player ALL_SOURCES)
aux_source_directory(./player/vlc ALL_SOURCES)

#使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)

find_package(Qt6 REQUIRED COMPONENTS ${QT_MODULES})
find_package(ICU COMPONENTS i18n)
qt_add_resources(QRC_FILES ${QRC_SOURCE_FILES})

add_library(${CMD_NAME} SHARED ${ALL_SOURCES} ${QRC_FILES})
set_target_properties(dmusic PROPERTIES VERSION 1.0.0 SOVERSION 1.0)

pkg_check_modules(MPRIS REQUIRED IMPORTED_TARGET mpris-qt6)
pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib)
pkg_check_modules(DTK REQUIRED IMPORTED_TARGET dtk6core)
# pkg_check_modules(udisks2 REQUIRED IMPORTED_TARGET udisks2-qt5)

set(TARGET_LIBS PkgConfig::TAGLIB PkgConfig::DTK)
target_link_libraries(${CMD_NAME} ${TARGET_LIBS} PkgConfig::MPRIS PkgConfig::TAGLIB PkgConfig::DTK ICU::i18n)
target_link_libraries(${CMD_NAME} Qt6::Core Qt6::Multimedia Qt6::DBus Qt6::Sql Qt6::Core5Compat)

# qt5_use_modules(${CMD_NAME} )

include(GNUInstallDirs)
install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
deepin-music (7.0.27) unstable; urgency=medium

  * Update version to 7.0.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:17:13 +0800

deepin-music (7.0.26) unstable; urgency=medium

  * New version 7.0.26 

 -- Liu zheng <liuzheng@uniontech.com>  Tue, 29 Apr 2025 16:35:57 +0800

deepin-music (7.0.25) unstable; urgency=medium

  * chore: New version 7.0.25

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Apr 2025 16:19:17 +0800

deepin-music (7.0.24) unstable; urgency=medium

  * chore: New version 7.0.24 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 02 Apr 2025 19:15:32 +0800

deepin-music (7.0.23) unstable; urgency=medium

  * chore: New version 7.0.23. 

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 27 Mar 2025 20:21:49 +0800

deepin-music (7.0.22) unstable; urgency=medium

  * chore: New version 7.0.22.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 20 Mar 2025 18:48:26 +0800

deepin-music (7.0.21) unstable; urgency=medium

  * chore: New version 7.0.21.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 19:50:07 +0800

deepin-music (7.0.20) unstable; urgency=medium

  * chore: update linglong version (#543)
  * fix: add isPlayAll property and update translations (#544)
  * fix: update UI components layout and playAll button state(Bug: 281269)
  * fix: improve data loading in album and artist sublist views (#546)
  * feat: add delete finished signal and improve list item background visibility (#547)
  * fix: add conditional text for menu items based on context (#548)
  * fix: add force play for empty metaHash in musicResult playlist (#549)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:14:21 +0800

deepin-music (7.0.19) unstable; urgency=medium

  * chore: New version 7.0.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:20:44 +0800

deepin-music (7.0.18) unstable; urgency=medium

  * chore: New version 7.0.18.
  * chore: Adapt linglong.

 -- wangrong <wangrong@uniontech.com>  Sat, 08 Feb 2025 15:13:35 +0800

deepin-music (7.0.17) unstable; urgency=medium

  * chore: New version 7.0.17.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 17 Jan 2025 10:47:40 +0800

deepin-music (7.0.16) unstable; urgency=medium

  * chore: New version 7.0.16.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:52:01 +0800

deepin-music (7.0.15) unstable; urgency=medium

  * New version 7.0.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 11:00:21 +0800

deepin-music (7.0.14) unstable; urgency=medium

  * New version 7.0.14

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 14:51:30 +0800

deepin-music (7.0.13) unstable; urgency=medium

  * New version 7.0.13

 -- Liu zheng <liuzheng@uniontech.com>  Sat, 30 Nov 2024 13:06:11 +0800

deepin-music (7.0.12) unstable; urgency=medium

  * New version 7.0.12

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 22 Nov 2024 16:12:33 +0800

deepin-music (7.0.11) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:41:49 +0800

deepin-music (7.0.10) unstable; urgency=medium

  * New version 7.0.10

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Oct 2024 16:02:41 +0800

deepin-music (7.0.9) unstable; urgency=medium

  * New version 7.0.9

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Sep 2024 13:53:29 +0800

deepin-music (7.0.8) unstable; urgency=medium

  * New version 7.0.8

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 05 Sep 2024 10:48:56 +0800

deepin-music (7.0.7) unstable; urgency=medium

  * New version 7.0.7

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

deepin-music (7.0.6) unstable; urgency=medium

  * New version 7.0.5
  * Compatible with QT6 version
  * Add music animation effects

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 15 Aug 2024 17:45:22 +0800

deepin-music (7.0.5) unstable; urgency=medium

  * New version 7.0.5
  * fix: wrong format dci with checked
  * fix: Fix lyrics page with no dark mode(Bug: 248325)

 -- lijiaxuan <lijiaxuan@uniontech.com>  Fri, 12 Apr 2024 17:03:33 +0800

deepin-music (7.0.4) unstable; urgency=medium

  * New version 7.0.4

 -- wang fei <wangfei@deepin.org>  Tue, 19 Mar 2024 15:01:32 +0800

deepin-music (7.0.3) unstable; urgency=medium

  * New version 7.0.3

 -- fengli <fengli@uniontech.com>  Wed, 30 Aug 2023 10:19:12 +0800

deepin-music (7.0.2) unstable; urgency=medium

  * New version 7.0.2

 -- fengli <fengli@uniontech.com>  Thu, 5 Jan 2023 11:19:26 +0000

deepin-music (7.0.1) unstable; urgency=low

  * New version 7.0.1

 -- wangyu <wangyu@uniontech.com>  Fri, 10 Jun 2022 16:20:26 +0000

## deepin-music 7.0.32

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(deepin-music)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
endif()

# 编译优化参数
if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
    if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    else()
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    endif()
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
endif()

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

# Application
add_subdirectory(src)

# Unit Tests
# if (CMAKE_BUILD_TYPE STREQUAL "Debug")
#     add_subdirectory(tests)
# endif()

=== src/CMakeLists.txt ===
add_subdirectory(music-player)
add_subdirectory(libdmusic)

=== src/music-player/CMakeLists.txt ===
set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(BIN_NAME ${CMAKE_PROJECT_NAME})
list(APPEND RESOURCES ${CMAKE_PROJECT_NAME}.qrc)
list(APPEND RESOURCES dci.qrc)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Find the Qt6Quick library
find_package(Dtk6Declarative REQUIRED)
find_package(Qt6 COMPONENTS Core Widgets Quick LinguistTools REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(DTK REQUIRED IMPORTED_TARGET dtk6widget)
pkg_check_modules(DTK REQUIRED IMPORTED_TARGET dtk6core)
pkg_check_modules(DTK REQUIRED IMPORTED_TARGET dtk6gui)

qt6_add_resources(RCC_SOURCES ${RESOURCES})

# 保证 src 目录下头文件全局可见
include_directories(src)
include_directories(../libdmusic)
include_directories(../util)

aux_source_directory(./ ALLSOURCE)
aux_source_directory(./effect ALLSOURCE)
aux_source_directory(./util ALLSOURCE)

LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/src/libdmusic)

file(GLOB TS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/${BIN_NAME}*.ts)
set_source_files_properties(${TS}
    PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
set(translate ${PROJECT_SOURCE_DIR}/translations)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt6_add_translation(QM_FILES ${TS})
else()
    qt6_create_translation(QM_FILES ${CMAKE_CURRENT_SOURCE_DIR} ${TS} OPTIONS -source-language en_US -no-obsolete)
endif ()

# Add EXE
add_executable(${BIN_NAME} ${RCC_SOURCES} ${ALLSOURCE} ${QM_FILES})

# Use target_link_libraries instead of qt6_use_modules
target_link_libraries(${BIN_NAME} Qt6::Core Qt6::Widgets)

set(TARGET_LIBS Qt6::Quick PkgConfig::DTK dmusic ${Dtk6Declarative_LIBRARIES})

target_link_libraries(${BIN_NAME} ${TARGET_LIBS})

# install dconfig meta files
dtk_add_config_meta_files(APPID deepin-music FILES data/org.deepin.music.json)

# Add install rule
install(TARGETS ${BIN_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})
# install Translation files
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations DESTINATION share/${CMAKE_PROJECT_NAME} FILES_MATCHING PATTERN "*.qm")
# install Desktop icon
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/${CMAKE_PROJECT_NAME}.desktop DESTINATION share/applications)
# install Manual App icon
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/${CMAKE_PROJECT_NAME}.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-music DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)

=== debian/changelog ===
deepin-music (7.0.32) unstable; urgency=medium

  * fix: Update music section headers in translation files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:29:20 +0800

deepin-music (7.0.31) unstable; urgency=medium

  * Update version to 7.0.31

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:08:53 +0800

deepin-music (7.0.30) unstable; urgency=medium

  * fix debug log

 -- liuzheng <liuzheng@uniontech.com>  Sun, 22 Jun 2025 00:35:05 +0800

deepin-music (7.0.29) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:53:22 +0800

deepin-music (7.0.28) unstable; urgency=medium

  * Update version to 7.0.28 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 22 May 2025 16:05:38 +0800

## deepin-music 7.0.40

=== tests/tst_music-player/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(tst_music-player)

#set(QUICK_TEST_SOURCE_DIR "/media/feng/_dde_data/work/deepin-music/deepin-music/tests/tst_music-player")
#message("dir      " ${CMAKE_CURRENT_SOURCE_DIR} "     " ${QUICK_TEST_SOURCE_DIR})
#add_definitions( -DQUICK_TEST_SOURCE_DIR )


list(APPEND OTHER_FILES *.qml)

find_package(Dtk6Declarative REQUIRED)
find_package(Qt6 COMPONENTS Quick LinguistTools REQUIRED)
find_package(Qt6Test REQUIRED)

include_directories(../../src/music-player/allItems)
aux_source_directory(../../src/music-player/allItems ALLQMLSOURCE)

include_directories(.)

aux_source_directory(./ ALLSOURCE)

add_executable(${PROJECT_NAME} ${ALLSOURCE} ${RESOURCES} ${ALLQMLSOURCE} tst_test.qml)

# 添加gocv覆盖率文件的输出
# 内存检测
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")    #mips平台下不进行内存检测
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
#    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_L_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/../../src/libdmusic)
target_link_libraries(${PROJECT_NAME} dmusic)

file(COPY tst_test.qml DESTINATION ${PROJECT_BINARY_DIR})

=== debian/changelog ===
deepin-music (7.0.40) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 09:27:08 +0800

deepin-music (7.0.39) unstable; urgency=medium

  * fix: music player crash issue

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 15 Jul 2025 10:24:15 +0800

deepin-music (7.0.38) unstable; urgency=medium

  * chore: Update version to 7.0.37
  * resolve compile error

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 11 Jul 2025 09:48:53 +0800

deepin-music (7.0.37) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 16:54:30 +0800

deepin-music (7.0.36) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:37:34 +0800

deepin-music (7.0.35) unstable; urgency=medium

  * fix: Update toolbar implementation to avoid inheriting from FloatPanel

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 03 Jul 2025 16:21:23 +0800

deepin-music (7.0.34) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 10:30:00 +0800

deepin-music (7.0.33) unstable; urgency=medium

  * chore: update translation

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:23:43 +0800

## deepin-music 7.0.44

=== debian/changelog ===
deepin-music (7.0.44) unstable; urgency=medium

  * fix: Replace Control with FloatingPanel in Toolbar.qml

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 13:27:30 +0800

deepin-music (7.0.43) unstable; urgency=medium

  * chore: Add Lao translation 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:01:45 +0800

deepin-music (7.0.42) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:42:23 +0800

deepin-music (7.0.41) unstable; urgency=medium

  * chore: Fix tag encoding detection for older TagLib versions

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 20:54:05 +0800

## deepin-music 7.0.47

=== tests/CMakeLists.txt ===
add_subdirectory(tst_music-player)
add_subdirectory(libdmusic-test)

=== src/libdmusic/CMakeLists.txt ===
--- 
+++ 
@@ -43,10 +43,11 @@
 pkg_check_modules(MPRIS REQUIRED IMPORTED_TARGET mpris-qt6)
 pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib)
 pkg_check_modules(DTK REQUIRED IMPORTED_TARGET dtk6core)
+pkg_check_modules(FFMPEG REQUIRED IMPORTED_TARGET libavcodec libavformat)
 # pkg_check_modules(udisks2 REQUIRED IMPORTED_TARGET udisks2-qt5)
 
 set(TARGET_LIBS PkgConfig::TAGLIB PkgConfig::DTK)
-target_link_libraries(${CMD_NAME} ${TARGET_LIBS} PkgConfig::MPRIS PkgConfig::TAGLIB PkgConfig::DTK ICU::i18n)
+target_link_libraries(${CMD_NAME} ${TARGET_LIBS} PkgConfig::MPRIS PkgConfig::TAGLIB PkgConfig::DTK ICU::i18n PkgConfig::FFMPEG)
 target_link_libraries(${CMD_NAME} Qt6::Core Qt6::Multimedia Qt6::DBus Qt6::Sql Qt6::Core5Compat)
 
 # qt5_use_modules(${CMD_NAME} )

=== tests/libdmusic-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(libdmusic-test)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(DMR_DEBUG on)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS on)
set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)
set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)


# 设置Qt模块
set(QT_MODULES Core Gui Widgets Svg Multimedia Xml Network Sql DBus Test)

#先查找到这些qt相关的模块以供链接使用
find_package(Qt6 REQUIRED ${QT_MODULES})

# 包含源码文件夹
include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(../../src/libdmusic)
include_directories(../../src/libdmusic/core)
include_directories(../../src/libdmusic/player)
include_directories(../../src/libdmusic/player/vlc)
include_directories(../../src/libdmusic/util)

FILE (GLOB allTestSource
    *.cpp
#    *.sh
    )
# 定义资源文件
#set(AllQRC
#    ../../assets/resources.qrc
#    ../../assets/icons/theme-icons.qrc
#)

LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/src/libdmusic)

# 设置不删除生成的文件夹内容文件（设置此项是为了翻译后的文件不被删除）
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

# 添加需要安装的模块
add_executable(${PROJECT_NAME} ${allTestSource})

# 添加gocv覆盖率文件的输出
# 内存检测
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")    #mips平台下不进行内存检测
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
#    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_L_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

find_package(PkgConfig REQUIRED)
find_package(KF5Codecs)

pkg_check_modules(MPRIS REQUIRED IMPORTED_TARGET mpris-qt5)
pkg_check_modules(TAGLIB REQUIRED IMPORTED_TARGET taglib)
pkg_check_modules(DTK REQUIRED IMPORTED_TARGET dtk6core)
pkg_check_modules(udisks2 REQUIRED IMPORTED_TARGET udisks2-qt5)

LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/../../src/libdmusic)
set(TARGET_LIBS PkgConfig::MPRIS KF5::Codecs PkgConfig::TAGLIB PkgConfig::DTK PkgConfig::udisks2 Qt6::Core Qt6::Gui Qt6::Widgets Qt6::Svg Qt::Multimedia Qt6::Xml Qt6::Network Qt6::Sql Qt6::DBus)
target_include_directories(${PROJECT_NAME} PUBLIC ${TARGET_LIBS} Qt6::Test)
target_link_libraries(${PROJECT_NAME} ${TARGET_LIBS} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} Qt6::Test dmusic)
target_link_libraries(${PROJECT_NAME} gmock gmock_main gtest gtest_main -lpthread -lm)

include(GNUInstallDirs)

=== debian/changelog ===
deepin-music (7.0.47) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Thu, 18 Sep 2025 19:26:39 +0800

deepin-music (7.0.46) unstable; urgency=medium

  *  fix: Save database after importing songs and creating playlists

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 11 Sep 2025 09:55:48 +0800

deepin-music (7.0.45) unstable; urgency=medium

  * fix: Overlapping Interface Controls Issue

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 04 Sep 2025 20:16:31 +0800

=== debian/control ===
Source: deepin-music
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
 libavutil-dev,
 libavcodec-dev,
 libavformat-dev,
 libdtk6core-bin,
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdbusextended-qt5-dev,
 libgsettings-qt-dev,
 libicu-dev,
 libmpris-qt6-dev,
 libtag1-dev,
 qt6-svg-dev,
 libqt6sql6-sqlite,
 libxtst-dev,
 libvlc-dev,
 libvlccore-dev,
 qt6-multimedia-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qml6-module-qtquick-dialogs,
 qt6-declarative-dev,
 libdtk6declarative-dev,
 qt6-5compat-dev,
 libsdl2-dev,
 libsdl1.2debian
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-music
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libvlc5,
 libdtk6declarative | libdtkdeclarative5,
 qml6-module-qt-labs-platform | qml-module-qt-labs-platform,
 qml6-module-qtquick-dialogs,
 gstreamer1.0-fluendo-mp3,
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 gvfs-bin,
 libqt6sql6-sqlite,
 vlc-plugin-base,
# 识别编码格式
 libuchardet0,
 libmpris-qt6,
 libsdl1.2debian
Description: Music software for UOS
 Music is a local music player with beautiful design and simple functions.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib

## deepin-music 7.0.49

=== debian/changelog ===
deepin-music (7.0.49) unstable; urgency=medium

  * chore: Update version to 7.0.49
  * feat: Support mips64 linglong build
  * feat(ui): update volume control icons in toolbar
  * fix(ui): reduce floating message display duration
  * feat(ui): add keyboard shortcuts for music list selection and deletion

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 21 Nov 2025 08:48:04 +0800

deepin-music (7.0.48) unstable; urgency=medium

  * Update version to 7.0.48. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 16 Oct 2025 19:11:55 +0800
